> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-bug-reporting/setup-proactive-reporting.md).

# Setup Proactive Reporting

Proactive reporting prompts users to send feedback when the SDK detects a frustrating experience. Configure it with `ProactiveReportingConfig`.

### Configuration

{% code title="Kotlin" %}

```kotlin
val config = ProactiveReportingConfig(
    enabled = true,
    gapBetweenModals = 60,              // seconds between modal prompts (optional)
    modalDelayAfterDetection = 5        // seconds after detection before showing modal (optional)
)
BugReportingKmp.setProactiveReportingConfigurations(config)
```

{% endcode %}

* **enabled**: Turn proactive reporting on or off.
* **gapBetweenModals**: Minimum time (seconds) between two proactive modals. Use `null` for default.
* **modalDelayAfterDetection**: Delay (seconds) after a frustrating experience is detected before showing the modal. Use `null` for default.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-bug-reporting/setup-proactive-reporting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
